--- title: "Get task" slug: "nclue-gettask" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/nclue-gettask" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get task Available in VPC Get the details of a specific task model. You can check the progress of the task model you requested to create, the feature information applied to the task model, the Object Storage bucket and file name where the correct answer dataset file is located, and the capacity of the task model. When the creation is complete, you can check the performance values of the task model, and when the creation fails, you can check the error message. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /tasks/{task_id} | ### Request headers For information about the headers common to all NCLUE APIs, see [NCLUE request headers](/docs/en/nclue-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `task_id` | String | Required | Task ID - See [Get task list](/docs/en/nclue-gettasklist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://nclue.apigw.ntruss.com/api/v1/tasks/{task_id}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `task_id` | String | - | Task ID | | `task_name` | String | - | Task name | | `status` | String | - | Task status - `registered` \| `pending` \| `in_progress` \| `completed` \| `failed` - `registered`: Registered - `pending`: Pending - `in_progress`: Creating - `completed`: Available - `failed`: Failed | | `created_at` | String | - | Task creation request date and time - ISO 8601 format | | `completed_at` | String | - | Task creation completion date and time - ISO 8601 format | | `train_feature_id` | String | - | Feature ID to apply to train correct answer data | | `train_feature_name` | String | - | Feature name to apply to train correct answer data | | `train_bucket` | String | - | Bucket name of Object Storage where the train correct answer data file is stored | | `train_file_path` | String | - | Train correct answer data file path in `train_bucket` | | `test_feature_id` | String | - | Feature ID to apply to test correct answer data | | `test_feature_name` | String | - | Feature name to apply to test correct answer data | | `test_bucket` | String | - | Bucket name of Object Storage where the test correct answer data file is stored | | `test_file_path` | String | - | Test correct answer data file path in `test_bucket` | | `nclue_model_name` | String | - | NCLUE model name used when creating feature (e.g., NFM02) | | `nclue_model_status` | String | - | Current status of the NCLUE model - `active`: Currently available - `deprecated`: No longer used | | `AUROC` | Number | - | Performance of the task model - 0-1 - Calculated as the area under the ROC curve | | `line_count` | Integer | - | Number of lines of the feature applied to the task - If you use both the train and test correct answer data, sum the number of lines for the two features applied to each data. | | `disk_usage` | Integer | - | Capacity (byte) of the task | | `fail_message` | String \| null | - | Creation failure message - Return a message on creation failure, or null on success. - For solutions to each message, see [NCLUE troubleshooting](https://guide.ncloud-docs.com/docs/en/nclue-troubleshoot). | ### Response status codes For response status codes common to NCLUE, see [NCLUE response status codes](/docs/en/nclue-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "task_id": "f5aebc0c-****-****-****-b201bc64b1c9", "task_name": "YOUR_TASK_NAME", "status": "completed", "created_at": "2024-11-26T11:48:16", "completed_at": "2024-11-26T11:49:55", "train_feature_id": "0ccc59f9-****-****-****-7837ae76d046", "train_feature_name": "YOUR_FEATURE_NAME", "train_bucket": "YOUR_BUCKET_NAME", "train_file_path": "path/filename", "test_feature_id": null, "test_feature_name": null, "test_bucket": null, "test_file_path": null, "nclue_model_name": "NFM2", "nclue_model_status": "active", "AUROC": 0.7681659, "line_count": 93734, "disk_usage": 42582684, "fail_message": null } ```